Get Recording
curl --request GET \
--url https://api.trillet.ai/v2/api/recordings/{callHistoryId} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.trillet.ai/v2/api/recordings/{callHistoryId}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.trillet.ai/v2/api/recordings/{callHistoryId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Recordings
Get Recording
Stream the audio recording for a specific call. Returns the recording file with appropriate audio headers.
GET
/
v2
/
api
/
recordings
/
{callHistoryId}
Get Recording
Headers
string
required
API key used for authenticating requests to the API.
Path Parameters
string
required
The call history ID to retrieve the recording for.
Response
The response streams the audio file directly with the following headers:Content-Type:audio/mp3orvideo/mp4depending on the recording formatContent-Disposition:inline; filename="recording.mp3"Cache-Control:private, max-age=3600
